Rygel.PlayerController – librygel-renderer Reference Manual

# PlayerController

## Object Hierarchy:

## Description:

public interface PlayerController : Object

This class keeps track of global states that are not dependant on the RygelMediaPlayer.

These states are: # URI # MetaData # Number of tracks # Current track # Playback state

In case of playlists this class will also control the player. It needs to proxy the playback state to react on end of item to be able to switch to the next item.

Namespace: Rygel
Package: librygel-renderer

## Content:

### Properties:

- public abstract string playback_state { set; get; }
- public abstract uint n_tracks { protected set; get; }
- public abstract uint track { set; get; }
- public abstract string uri { protected set; owned get; }
- public abstract string metadata { protected set; owned get; }
- public abstract string track_uri { protected set; owned get; }
- public abstract string track_metadata { protected set; owned get; }
- public abstract string next_uri { protected set; owned get; }
- public abstract string next_metadata { protected set; owned get; }
- public abstract string current_transport_actions { owned get; }
- public abstract string play_mode { set; get; }
- public abstract bool can_pause { get; }

### Methods:

- public abstract bool next ()
- public abstract bool previous ()
- public abstract void set_single_play_uri (string uri, string metadata, string? mime, string? features)
- public abstract void set_playlist_uri (string uri, string metadata, MediaCollection collection)
- public abstract void set_next_single_play_uri (string uri, string metadata, string? mime, string? features)
- public abstract void set_next_playlist_uri (string uri, string metadata, MediaCollection collection)
- public abstract bool is_play_mode_valid (string play_mode)
- protected string unescape (string input)

### Inherited Members:

All known members inherited from class GLib.Object

- interface_find_property
- interface_install_property
- interface_list_properties
- @new
- new_valist
- newv
- new_with_properties
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating

- freeze_notify
- @get
- get_class
- get_data
- get_property
- get_qdata
- get_type
- getv
- is_floating
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set

- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref
- notify
- ref_count